<div class="interest">
  <p class="interest__description">
    Customize the interest for this credit offer with our comprehensive interest
    configuration.
  </p>
  <form class="container-form" [formGroup]="form" (ngSubmit)="onSubmit()">
    <layout-setting-item
      title="Interest value:"
      description="Select the monthly APR value to calculate the interests for this offer. "
    >
      <div class="form__row">
        <mo-input
          placeholder="#"
          [type]="INPUT_TYPE.NUMBER"
          formControlName="interest"
        ></mo-input>
        <span>%</span>
        <span>
          *Monthly APR. Take into account that this will be a monthly rate even
          if the periodicity of the offer is daily.
        </span>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Type of interest:"
      description="Choose if the interest will be accrued on the capital balance plus already accumulated interests and costs, or just the capital balance of this credit offer."
    >
      <div class="form">
        <mo-radio
          label="Simple"
          name="interest_type_of_interest"
          id="interest_type_of_interest_simple"
          value="Simple"
          formControlName="type_of_interest"
        ></mo-radio>
        <mo-radio
          label="Compound"
          name="interest_type_of_interest"
          id="type_of_interest_compound"
          value="Compound"
          formControlName="type_of_interest"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Tax:"
      description="If regulations apply, select to include interst tax. If so, enter the respective tax fee."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="interest_tax"
          id="interest_tax_yes"
          value="Yes"
          formControlName="tax"
        ></mo-radio>
        <mo-radio
          label="No"
          name="interest_tax"
          id="interest_tax_no"
          value="No"
          formControlName="tax"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      *ngIf="form.get('tax').value === 'Yes'"
      description="Tax fee"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="form__row">
        <mo-input
          placeholder="#"
          [type]="INPUT_TYPE.NUMBER"
          formControlName="tax_fee"
          [required]="false"
        ></mo-input>
        <span>%</span>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Periodicity:"
      description="Choose the time frequency that will determine the accrual of interests."
    >
      <div class="form">
        <mo-radio
          label="Daily"
          name="interest_periodicity"
          id="interest_periodicity_daily"
          value="Daily"
          formControlName="periodicity"
        ></mo-radio>
        <mo-radio
          label="Weekly"
          name="interest_periodicity"
          id="interest_periodicity_weekly"
          value="Weekly"
          formControlName="periodicity"
        ></mo-radio>
        <mo-radio
          label="Monthly"
          name="interest_periodicity"
          id="interest_periodicity_monthly"
          value="Monthly"
          formControlName="periodicity"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Fixed or relative:"
      description="Choose if interests for this offer will be accrued at a fixed day, or at the exact date of disbursement."
      [designClass]="fixedOrRelativeDesingClass"
    >
      <div class="form">
        <mo-radio
          label="Fixed"
          name="interest_fixed_or_relative"
          id="interest_fixed_or_relative_fixed"
          value="Fixed"
          formControlName="fixed_or_relative"
        ></mo-radio>
        <mo-radio
          label="Relative"
          name="interest_fixed_or_relative"
          id="interest_fixed_or_relative_relative"
          value="Relative"
          formControlName="fixed_or_relative"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Grace period:"
      description="Select if this credit will allow a flexible time period before interest default measure take place."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="interest_grace_period"
          id="interest_grace_period_yes"
          value="Yes"
          formControlName="grace_period"
        ></mo-radio>
        <mo-radio
          label="No"
          name="interest_grace_period"
          id="interest_grace_period_no"
          value="No"
          formControlName="grace_period"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      *ngIf="form.get('grace_period').value === 'Yes'"
      description="Number of days"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="form">
        <mo-input
          formControlName="grace_period_days"
          placeholder="Days"
          [type]="INPUT_TYPE.NUMBER"
          [required]="false"
        ></mo-input>
      </div>
    </layout-setting-item>

    <div class="form__buttons">
      <ng-container *ngIf="!offerInterestCharge">
        <mo-button
          (click)="onCancel()"
          text="Cancel"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_DEFAULT"
          [size]="SIZES.MD"
        >
        </mo-button>
        <mo-button
          text="Add charge"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [isDisabled]="form.invalid"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </ng-container>
      <ng-container *ngIf="offerInterestCharge">
        <mo-button
          (click)="onRemoveCharges()"
          text="Remove charge"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
          [size]="SIZES.MD"
        >
        </mo-button>
      </ng-container>
    </div>
  </form>
</div>
